﻿using HeuristicLab.Common;

namespace HeuristicLab.SimulationCore {
  public interface IAction<TModel> : IDeepCloneable, IContent where TModel : IModel {
    IActivity<TModel> Mandate { get; }

    void Execute(TModel model);
  }
}
